Edit a message template
curl --request PUT \
--url https://api.social-api.ai/v1/platforms/whatsapp/templates/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"components": [
{
"buttons": [
{
"example": {},
"phone_number": "+15551234567",
"text": "Visit",
"type": "URL",
"url": "https://example.com/{{1}}"
}
],
"example": {},
"format": "TEXT",
"text": "Hello {{1}}, your order {{2}} is confirmed.",
"type": "BODY"
}
]
}
'import requests
url = "https://api.social-api.ai/v1/platforms/whatsapp/templates/{id}"
payload = { "components": [
{
"buttons": [
{
"example": {},
"phone_number": "+15551234567",
"text": "Visit",
"type": "URL",
"url": "https://example.com/{{1}}"
}
],
"example": {},
"format": "TEXT",
"text": "Hello {{1}}, your order {{2}} is confirmed.",
"type": "BODY"
}
] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
components: [
{
buttons: [
{
example: {},
phone_number: '+15551234567',
text: 'Visit',
type: 'URL',
url: 'https://example.com/{{1}}'
}
],
example: {},
format: 'TEXT',
text: 'Hello {{1}}, your order {{2}} is confirmed.',
type: 'BODY'
}
]
})
};
fetch('https://api.social-api.ai/v1/platforms/whatsapp/templates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}WhatsApp
Edit a message template
Updates the components of an existing message template by its WhatsApp template ID. Only APPROVED templates can be edited, and editing resets the template to PENDING for re-review. APPROVED templates are limited to one edit per day.
PUT
/
platforms
/
whatsapp
/
templates
/
{id}
Edit a message template
Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
WhatsApp template platform ID
Body
application/json
Replacement components
Components replaces the template's components.
Show child attributes
Show child attributes
Response
Template updated
⌘I